Package org.eclipse.net4j.util.ui.widgets

# Class EntryControlAdvisor

java.lang.Object
org.eclipse.net4j.util.ui.widgets.EntryControlAdvisor

public class EntryControlAdvisor extends Object

Since:
  3.19
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`EntryControlAdvisor.ControlConfig`
`static class`
`EntryControlAdvisor.Factory`

## Constructor Summary

Constructors
Constructor
Description
`EntryControlAdvisor()`

## Method Summary

Modifier and Type
Method
Description
`final Control`
`createControl(Composite parent, EntryControlAdvisor.ControlConfig config)`
`protected Control`
`doCreateControl(Composite parent, EntryControlAdvisor.ControlConfig config)`
`static EntryControlAdvisor`
`getAdvisor(Control control)`
`String`
`getEntry(Control control)`
`protected final void`
`processKeyEvent(Control control, EntryControlAdvisor.ControlConfig config, KeyEvent e)`
`protected final void`
`processModifyEvent(Control control, EntryControlAdvisor.ControlConfig config)`
`void`
`renderHTML(Control control, StringBuilder html)`
`void`
`setEntry(Control control, String entry)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EntryControlAdvisor

public EntryControlAdvisor()

## Method Details

### createControl

public final Control createControl(Composite parent, EntryControlAdvisor.ControlConfig config)

### doCreateControl

protected Control doCreateControl(Composite parent, EntryControlAdvisor.ControlConfig config)

### getEntry

public String getEntry(Control control)

### setEntry

public void setEntry(Control control, String entry)

### renderHTML

public void renderHTML(Control control, StringBuilder html)

### processModifyEvent

protected final void processModifyEvent(Control control, EntryControlAdvisor.ControlConfig config)

### processKeyEvent

protected final void processKeyEvent(Control control, EntryControlAdvisor.ControlConfig config, KeyEvent e)

### getAdvisor

public static EntryControlAdvisor getAdvisor(Control control)